<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
       xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
       xsi:schemaLocation="http://www.springframework.org/schema/beans
       http://www.springframework.org/schema/beans/spring-beans.xsd">

    <!-- 模块加载引擎 -->
    <bean name="moduleLoader" class="com.ag.psamathe.api.impl.ModuleLoaderImpl"/>

    <!-- 模块管理器 -->
    <bean name="moduleManager" class="com.ag.psamathe.api.impl.ModuleManagerImpl"/>

    <!-- 模块服务 -->
    <bean name="moduleService" class="com.ag.psamathe.api.impl.ModuleServiceImpl">
        <property name="moduleLoader" ref="moduleLoader"/>
        <property name="moduleManager" ref="moduleManager"/>
    </bean>
    <!-- 启动版本扫描定时任务, 部署时打开-->
    <bean name="moduleRefreshScheduler" class="com.ag.psamathe.api.impl.ModuleRefreshSchedulerImpl">
        <property name="moduleLoader" ref="moduleLoader"/>
        <property name="moduleManager" ref="moduleManager"/>
    </bean>
</beans>
